package com.example.takeawaysystemserver.controller;

import com.example.takeawaysystemserver.entity.ShoppingCart;
import com.example.takeawaysystemserver.service.ShoppingCartService;
import com.example.takeawaysystemserver.util.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author Ethereal
 * @date 2024/7/12
 * @description
 */
@RestController
@RequestMapping("shopping-cart")
@Api(tags = "购物车")
public class ShoppingCartController {

    @Resource
    private ShoppingCartService shoppingCartService;

    @PostMapping("add-shopping-cart")
    @ApiOperation(value = "添加到购物车")
    public R<String> add(@RequestHeader String token, @RequestBody ShoppingCart shoppingCart){
        return shoppingCartService.addShoppingCart(token, shoppingCart);
    }

    @GetMapping("search-carts")
    @ApiOperation(value = "查询购物车")
    public R<List<ShoppingCart>> getLists(@RequestHeader String token){
        return shoppingCartService.getShoppingCarts(token);
    }

    @PostMapping("delete-shopping-cart")
    @ApiOperation(value = "删除购物车选项")
    public R<String> delete(@RequestHeader String token, @RequestBody ShoppingCart shoppingCart){
        return shoppingCartService.deleteShoppingCart(token, shoppingCart);
    }
}
